Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.extension.svg
Class BatikDomExtension

    java.lang.Object
      org.apache.batik.extension.svg.BatikDomExtension

All Implemented Interfaces:
  BatikExtConstants, DomExtension

public class BatikDomExtension
extends java.lang.Object
implements DomExtension, BatikExtConstants

This is a Service interface for classes that want to extend the functionality of the Dom, to support new tags in the rendering tree.

Nested Class Summary
`protected static class` | `BatikDomExtension.BatikHistogramNormalizationElementFactory` To create a 'histogramNormalization' element.
`protected static class` | `BatikDomExtension.BatikMultiImageElementFactory` To create a 'multiImage' element.
`protected static class` | `BatikDomExtension.BatikRegularPolygonElementFactory` To create a 'regularPolygon' element.
`protected static class` | `BatikDomExtension.BatikStarElementFactory` To create a 'star' element.
`protected static class` | `BatikDomExtension.ColorSwitchElementFactory` To create a 'solidColor' element.
`protected static class` | `BatikDomExtension.FlowDivElementFactory` To create a 'flowDiv' element.
`protected static class` | `BatikDomExtension.FlowLineElementFactory` To create a 'flowLine' element.
`protected static class` | `BatikDomExtension.FlowParaElementFactory` To create a 'flowPara' element.
`protected static class` | `BatikDomExtension.FlowRegionBreakElementFactory` To create a 'flowRegionBreak' element.
`protected static class` | `BatikDomExtension.FlowSpanElementFactory` To create a 'flowSpan' element.
`protected static class` | `BatikDomExtension.FlowTextElementFactory` To create a 'flowText' element.
`protected static class` | `BatikDomExtension.SolidColorElementFactory` To create a 'solidColor' element.

Field Summary

Fields inherited from interface org.apache.batik.extension.svg.BatikExtConstants
`BATIK_EXT_ALIGN_BOTTOM_VALUE, BATIK_EXT_ALIGN_MIDDLE_VALUE, BATIK_EXT_ALIGN_TOP_VALUE, BATIK_EXT_BOTTOM_MARGIN_ATTRIBUTE, BATIK_EXT_COLOR_SWITCH_TAG, BATIK_EXT_DH_ATRIBUTE, BATIK_EXT_DW_ATRIBUTE, BATIK_EXT_DX_ATRIBUTE, BATIK_EXT_DY_ATRIBUTE, BATIK_EXT_FILTER_MARGINS_UNITS_ATTRIBUTE, BATIK_EXT_FILTER_PRIMITIVE_MARGINS_UNITS_ATTRIBUTE, BATIK_EXT_FLOW_DIV_TAG, BATIK_EXT_FLOW_LINE_TAG, BATIK_EXT_FLOW_PARA_TAG, BATIK_EXT_FLOW_REGION_BREAK_TAG, BATIK_EXT_FLOW_REGION_EXCLUDE_TAG, BATIK_EXT_FLOW_REGION_TAG, BATIK_EXT_FLOW_SPAN_TAG, BATIK_EXT_FLOW_TEXT_TAG, BATIK_EXT_HEIGHT_ATTRIBUTE, BATIK_EXT_HISTOGRAM_NORMALIZATION_TAG, BATIK_EXT_INDENT_ATTRIBUTE, BATIK_EXT_IR_ATTRIBUTE, BATIK_EXT_JUSTIFICATION_ATTRIBUTE, BATIK_EXT_JUSTIFICATION_END_VALUE, BATIK_EXT_JUSTIFICATION_FULL_VALUE, BATIK_EXT_JUSTIFICATION_MIDDLE_VALUE, BATIK_EXT_JUSTIFICATION_START_VALUE, BATIK_EXT_LEFT_MARGIN_ATTRIBUTE, BATIK_EXT_MARGIN_ATTRIBUTE, BATIK_EXT_MAX_PIXEL_SIZE_ATTRIBUTE, BATIK_EXT_MIN_PIXEL_SIZE_ATTRIBUTE, BATIK_EXT_MULTI_IMAGE_TAG, BATIK_EXT_NAMESPACE_URI, BATIK_EXT_PREFORMATTED_ATTRIBUTE, BATIK_EXT_REGULAR_POLYGON_TAG, BATIK_EXT_RIGHT_MARGIN_ATTRIBUTE, BATIK_EXT_SIDES_ATTRIBUTE, BATIK_EXT_SOLID_COLOR_PROPERTY, BATIK_EXT_SOLID_COLOR_TAG, BATIK_EXT_SOLID_OPACITY_PROPERTY, BATIK_EXT_STAR_TAG, BATIK_EXT_SUB_IMAGE_REF_TAG, BATIK_EXT_SUB_IMAGE_TAG, BATIK_EXT_TOP_MARGIN_ATTRIBUTE, BATIK_EXT_TRIM_ATTRIBUTE, BATIK_EXT_VERTICAL_ALIGN_ATTRIBUTE, BATIK_EXT_WIDTH_ATTRIBUTE, BATIK_EXT_X_ATTRIBUTE, BATIK_EXT_Y_ATTRIBUTE, SVG_FILTER_DH_DEFAULT_VALUE, SVG_FILTER_DW_DEFAULT_VALUE, SVG_FILTER_DX_DEFAULT_VALUE, SVG_FILTER_DY_DEFAULT_VALUE`

Constructor Summary
`BatikDomExtension()`

Method Summary
`java.lang.String` | `getAuthor()` This should return the individual or company name responsible for the this implementation of the extension.
`java.lang.String` | `getContactAddress()` This should contain a contact address (usually an e-mail address).
`java.lang.String` | `getDescription()` Human readable description of the extension.
`float` | `getPriority()` Return the priority of this Extension.
`java.lang.String` | `getURL()` This should return a URL where information can be obtained on this extension.
`void` | `registerTags(ExtensibleSVGDOMImplementation di)` This method should update the DomContext with support for the tags in this extension.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BatikDomExtension

    public BatikDomExtension()

Method Detail

### getPriority

    public float getPriority()

  Return the priority of this Extension. Extensions are registered from lowest to highest priority. So if for some reason you need to come before/after another existing extension make sure your priority is lower/higher than theirs.

  Specified by:
    `getPriority` in interface `DomExtension`

### getAuthor

    public java.lang.String getAuthor()

  This should return the individual or company name responsible for the this implementation of the extension.

  Specified by:
    `getAuthor` in interface `DomExtension`

### getContactAddress

    public java.lang.String getContactAddress()

  This should contain a contact address (usually an e-mail address).

  Specified by:
    `getContactAddress` in interface `DomExtension`

### getURL

    public java.lang.String getURL()

  This should return a URL where information can be obtained on this extension.

  Specified by:
    `getURL` in interface `DomExtension`

### getDescription

    public java.lang.String getDescription()

  Human readable description of the extension. Perhaps that should be a resource for internationalization? (although I suppose it could be done internally)

  Specified by:
    `getDescription` in interface `DomExtension`

### registerTags

    public void registerTags(ExtensibleSVGDOMImplementation di)

  This method should update the DomContext with support for the tags in this extension. In some rare cases it may be necessary to replace existing tag handlers, although this is discouraged.

  Specified by:
    `registerTags` in interface `DomExtension`
  Parameters:
    `di` - The DOMImplementation instance to be updated

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.